Skip to main content
GET
/
org
/
{org_id}
/
business_fields
Business fields configuration for an organization
curl --request GET \
  --url https://api.partoo.co/v2/org/{org_id}/business_fields \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/org/{org_id}/business_fields"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/org/{org_id}/business_fields', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "name": "address",
    "fields": [
      {
        "name": "country",
        "enabled": true,
        "enabled_for_subroles": true
      },
      {
        "name": "city",
        "enabled": true,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "description",
    "fields": [
      {
        "name": "categories",
        "enabled": true,
        "enabled_for_subroles": true
      },
      {
        "name": "website_url",
        "enabled": true,
        "enabled_for_subroles": true
      }
    ]
  },
  {
    "name": "hours",
    "fields": [
      {
        "name": "open_hours",
        "enabled": true,
        "enabled_for_subroles": true
      }
    ]
  },
  {
    "name": "photos",
    "fields": [
      {
        "name": "cover",
        "enabled": false,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "contact",
    "fields": [
      {
        "name": "phone_number",
        "enabled": true,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "custom_fields",
    "fields": [
      {
        "name": "has_parking",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "BOOLEAN",
        "id": 1,
        "order": 10,
        "section_id": 4
      },
      {
        "name": "special_description",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "TEXT",
        "id": 2,
        "order": 11,
        "max_len": 250,
        "section_id": 6
      },
      {
        "name": "facilities",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "MULTIPLE_SELECT",
        "id": 3,
        "order": 2,
        "possible_values": [
          "handicapped access",
          "toilets",
          "break room"
        ]
      },
      {
        "name": "banner image",
        "enabled": true,
        "enabled_for_subroles": true,
        "id": 4,
        "type": "MULTIPLE_SELECT_IMAGE",
        "order": 10,
        "possible_values": [
          "image 1",
          "image 2",
          "image 3"
        ],
        "possible_images_labels": [
          "label image 1",
          "label image 2",
          "label image 3"
        ],
        "possible_images_urls": [
          "url_of_image_1",
          "url_of_image_2",
          "url_of_image_3"
        ]
      },
      {
        "name": "team members",
        "enabled": true,
        "enabled_for_subroles": true,
        "id": 5,
        "type": "IMAGES_UPLOADER",
        "order": 11,
        "text_fields": [
          {
            "text_field": "text 1",
            "max_length": 10
          },
          {
            "text_field": "text 2",
            "max_length": 20
          },
          {
            "text_field": "text 3",
            "max_length": 30
          }
        ]
      }
    ]
  }
]
{
  "errors": {
    "authentication": "User not authenticated"
  }
}
{
  "errors": {
    "authorization": "Operation not allowed"
  }
}
{
  "errors": {
    "json": "Resource not found"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

org_id
integer
required

Unique ID of the organization to which the resource belongs. Only PROVIDER users can access resources from a different organization than their own. If you are not a PROVIDER, this will default to the ID of your organization.

Response

OK

Business Fields Section

name
string

Name of a the section. The structure of the fields inside it depends of the section and is described below.

fields
object[]
Example:
[
  {
    "name": "address",
    "fields": [
      {
        "name": "country",
        "enabled": true,
        "enabled_for_subroles": true
      },
      {
        "name": "city",
        "enabled": true,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "description",
    "fields": [
      {
        "name": "categories",
        "enabled": true,
        "enabled_for_subroles": true
      },
      {
        "name": "website_url",
        "enabled": true,
        "enabled_for_subroles": true
      }
    ]
  },
  {
    "name": "hours",
    "fields": [
      {
        "name": "open_hours",
        "enabled": true,
        "enabled_for_subroles": true
      }
    ]
  },
  {
    "name": "photos",
    "fields": [
      {
        "name": "cover",
        "enabled": false,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "contact",
    "fields": [
      {
        "name": "phone_number",
        "enabled": true,
        "enabled_for_subroles": false
      }
    ]
  },
  {
    "name": "custom_fields",
    "fields": [
      {
        "name": "has_parking",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "BOOLEAN",
        "id": 1,
        "order": 10,
        "section_id": 4
      },
      {
        "name": "special_description",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "TEXT",
        "id": 2,
        "order": 11,
        "max_len": 250,
        "section_id": 6
      },
      {
        "name": "facilities",
        "enabled": true,
        "enabled_for_subroles": true,
        "type": "MULTIPLE_SELECT",
        "id": 3,
        "order": 2,
        "possible_values": [
          "handicapped access",
          "toilets",
          "break room"
        ]
      },
      {
        "name": "banner image",
        "enabled": true,
        "enabled_for_subroles": true,
        "id": 4,
        "type": "MULTIPLE_SELECT_IMAGE",
        "order": 10,
        "possible_values": ["image 1", "image 2", "image 3"],
        "possible_images_labels": [
          "label image 1",
          "label image 2",
          "label image 3"
        ],
        "possible_images_urls": [
          "url_of_image_1",
          "url_of_image_2",
          "url_of_image_3"
        ]
      },
      {
        "name": "team members",
        "enabled": true,
        "enabled_for_subroles": true,
        "id": 5,
        "type": "IMAGES_UPLOADER",
        "order": 11,
        "text_fields": [
          { "text_field": "text 1", "max_length": 10 },
          { "text_field": "text 2", "max_length": 20 },
          { "text_field": "text 3", "max_length": 30 }
        ]
      }
    ]
  }
]